# Bills

## Get Bills

<mark style="color:blue;">`GET`</mark> `https://ventiapi.azurewebsites.net/api/billing/bills`

This endpoint brings the invoice requests that have been made in the established period.

#### Query Parameters

| Name   | Type   | Description                                                                               |
| ------ | ------ | ----------------------------------------------------------------------------------------- |
| date   | string | Fecha mínima de la cual se requieren las solicitudes. formato MM/DD/YYYY ej: 06/30/2019   |
| offset | number | Cantidad de solicitudes salteadas, ejemplo offset = 50 nos traerá de la órden 51 a la 100 |
| paging | number | Cantidad de items por página, máximo 50 items                                             |

#### Headers

| Name           | Type   | Description   |
| -------------- | ------ | ------------- |
| Authentication | string | Bearer +token |

{% tabs %}
{% tab title="200 Solicitudes de factura obtenidas" %}

```javascript
{
  "paging": 50,
  "offset": 0,
  "total": 2,
  "results": [
    {
      "orderId": 1234,
      "billingDate": "2018-06-06T00:00:00",
      "externalReference": "14124141",
      "externalDate": "2018-06-06T00:00:00",
      "message": "Billing message",
      "invoice": "0001",
      "total": 660.0,
      "cdfi": "04",
      "bankDigits": "1234",
      "paymentMethod": "03",
      "customer": {
        "name": "John",
        "businessName": "Doe",
        "rfc": "X3XXXXNNX0131",
        "email": "billing@test.com",
        "phone": "1139992331",
        "billingAddress": null,
        "billingStreet": null,
        "billingInnerNumber": null,
        "billingOuterNumber": null,
        "billingNeighborhood": null,
        "billingCountry": null,
        "billingState": null,
        "billingMunicipality": null,
        "billingZipCode": null
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ventiapp.mx/ventiapp/english-api/developers/api/facturas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
